Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036007
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2017-05-16 12:162017-05-19 11:49
ReporteraaroncaleroView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revisiond1c919bcc912
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036007: Return documentNo is not being set when service quantity rules are being applied

DescriptionWhen the return document sequence in configured, when all lines in a ticket are negative the document number of the ticket is changed to follow the return sequence.
When a ticket contains a product and a related service, and the product is returned using the Return Line option, the service quantity rules are triggered and the service is also returned. However when this happens the document number of the ticket is not updated and it still shows the ticket sequence (instead of the return sequence).
Steps To ReproduceLogin in backend, go to the POS Terminal window, find the VBS-1 record and configure a Return No Prefix (i.e. VBSRET1).

Login in web pos.
Create a new ticket.
Add an Avalanche transceiver classic and a Phone consulting MK2 related to it.
Click on the Avalanche transceiver classic line and then on Return Line.
The Phone consulting MK2 qty will also change to -1, however the document number of the ticket will remain with the standard sequence.
Select the Phone consulting MK2 line and delete it. Now the document number will correctly show the return document sequence.
Proposed SolutionThe main logic to change the document sequence from tickets to returns is placed inside the code that is also in charge of applying the quantity rules for services[1].
This code is protected against parallel executions using several control flags.
When the quantity rules are triggered, and the ticket changes into a negative ticket, the control flags prevent a new execution of the code, so the document change logic is not executed.
The document change logic should be placed either outside the "controlled code", or in a different handler to prevent these situations.

[1] https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/file/cd13ce1880ca/web/org.openbravo.retail.posterminal/js/components/order.js#l706 [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0035971 resolvedranjith_qualiantech_com It is possible to synchronize a POS Order with a Return document number 

-  Notes
(0096681)
hgbot (developer)
2017-05-19 11:48

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: d1c919bcc91234e41caa589104776b85ad51e007
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Fri May 19 15:18:01 2017 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d1c919bcc91234e41caa589104776b85ad51e007 [^]

Fixed issue 36007 : Return DocumentNo should be updated whenever receipt line properties changed

* New Listener created for Order line to check documentNo

---
M web/org.openbravo.retail.posterminal/js/components/order.js
---
(0096682)
hgbot (developer)
2017-05-19 11:49

Repository: tools/automation/pi-mobile
Changeset: 62f5b9a6e9fde24adf05784211595d19a2edd94a
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Fri May 19 15:15:32 2017 +0530
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/62f5b9a6e9fde24adf05784211595d19a2edd94a [^]

Verifies issue 36007 : Added automated test 'I36007_VerifiedReturnsDocumentNoWithServices'

---
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/returns/I36007_VerifiedReturnsDocumentNoWithServices.java
---

- Issue History
Date Modified Username Field Change
2017-05-16 12:16 aaroncalero New Issue
2017-05-16 12:16 aaroncalero Assigned To => Retail
2017-05-16 12:16 aaroncalero Triggers an Emergency Pack => No
2017-05-17 12:54 ranjith_qualiantech_com Relationship added related to 0035971
2017-05-17 14:38 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2017-05-17 14:38 ranjith_qualiantech_com Status new => scheduled
2017-05-19 11:48 hgbot Checkin
2017-05-19 11:48 hgbot Note Added: 0096681
2017-05-19 11:48 hgbot Status scheduled => resolved
2017-05-19 11:48 hgbot Resolution open => fixed
2017-05-19 11:48 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d1c919bcc91234e41caa589104776b85ad51e007 [^]
2017-05-19 11:49 hgbot Checkin
2017-05-19 11:49 hgbot Note Added: 0096682


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker